FROM node:19 as builder

RUN mkdir -p /app
WORKDIR /app

COPY ["package.json", "yarn.lock", ".yarnrc.yml", "tsconfig.json", "/app/"]
COPY [".yarn", "/app/.yarn"]
COPY ["src", "/app/src"]


RUN yarn install
RUN yarn build

FROM node:19 

LABEL maintainer="Fabian Stamm <dev@fabianstamm.de>"

RUN mkdir -p /app
WORKDIR /app

ENV NODE_ENV=production

COPY ["package.json", "yarn.lock", ".yarnrc.yml", "/app/"]
COPY [".yarn", "/app/.yarn"]

RUN yarn install

COPY --from=builder /app/lib/ /app/lib

VOLUME [ "/app/logs", "/app/persist"]

CMD ["node", "lib/index.js"]